io.vertx.ext.auth.shiro

## Interface LDAPProviderConstants

- Deprecated.
  ShiroAuth has been replaced by `io.vertx.ext.auth.properties.PropertyFileAuthentication` and `io.vertx.ext.auth.ldap.LdapAuthentication`

      @Deprecated
      public interface LDAPProviderConstants

  Configuration keys used when configuring a Shiro LDAP auth realm
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LDAP_AUTHENTICATION_MECHANISM` Deprecated.
    `static String` | `LDAP_CONTEXT_FACTORY_CLASS_NAME` Deprecated.
    `static String` | `LDAP_POOLING_ENABLED` Deprecated.
    `static String` | `LDAP_REFERRAL` Deprecated.
    `static String` | `LDAP_SYSTEM_PASSWORD` Deprecated.
    `static String` | `LDAP_SYSTEM_USERNAME` Deprecated.
    `static String` | `LDAP_URL` Deprecated.
    `static String` | `LDAP_USER_DN_TEMPLATE_FIELD` Deprecated.

- - ### Field Detail

    - #### LDAP_USER_DN_TEMPLATE_FIELD

          static final String LDAP_USER_DN_TEMPLATE_FIELD

      Deprecated.
      See Also:
        Constant Field Values

    - #### LDAP_URL

          static final String LDAP_URL

      Deprecated.
      See Also:
        Constant Field Values

    - #### LDAP_AUTHENTICATION_MECHANISM

          static final String LDAP_AUTHENTICATION_MECHANISM

      Deprecated.
      See Also:
        Constant Field Values

    - #### LDAP_CONTEXT_FACTORY_CLASS_NAME

          static final String LDAP_CONTEXT_FACTORY_CLASS_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### LDAP_POOLING_ENABLED

          static final String LDAP_POOLING_ENABLED

      Deprecated.
      See Also:
        Constant Field Values

    - #### LDAP_REFERRAL

          static final String LDAP_REFERRAL

      Deprecated.
      See Also:
        Constant Field Values

    - #### LDAP_SYSTEM_USERNAME

          static final String LDAP_SYSTEM_USERNAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### LDAP_SYSTEM_PASSWORD

          static final String LDAP_SYSTEM_PASSWORD

      Deprecated.
      See Also:
        Constant Field Values

Copyright © 2021 Eclipse. All rights reserved.